load swissbank
X = [x1 x2 x3 x4 x5 x6]';
[p n ]=size(X);
y = [ones(100,1);-ones(100,1)];

figure(1);clf;
subplot(2,3,1);
histJ(x1)
subplot(2,3,2);
histJ(x2)
subplot(2,3,3);
histJ(x3)
subplot(2,3,4);
histJ(x4)
subplot(2,3,5);
histJ(x5)
subplot(2,3,6);
histJ(x6)
print('-dpdf','swissbank_marginal');

figure(2);clf;
scatter(x4(y==1),x6(y==1));
hold on;
scatter(x4(y==-1),x6(y==-1),'x');
xlabel('X_4')
ylabel('X_6')
title('Swiss bank notes: blue o = genuine, green x = fake')
print('-dpdf','swissbank_scat2');


figure(3);clf;
scatter3(x4(y==1),x6(y==1),x1(y==1));
hold on;
scatter3(x4(y==-1),x6(y==-1),x1(y==-1),'x');
xlabel('X_4')
ylabel('X_6')
zlabel('X_1')
title('Swiss bank notes: blue o = genuine, green x = fake')
print('-dpdf','swissbank_scat3');


[a,b,c]=princomp(X');
icolor = [ repmat([0,0,1],100,1); repmat([0,1,0],100,1)];
markerstr = [ repmat('o',100,1); repmat('x',100,1)];

paramstruct.npcadiradd = 0;
paramstruct.icolor = icolor;
paramstruct.isubpopkde = 1;
paramstruct.markerstr= markerstr;

figure(4);clf;
scatplotSM(X,a(:,1:6),paramstruct);
print('-dpdf','swissbank_scat_PCAall');

figure(4);clf;
scatplotSM(X,a(:,1:3),paramstruct);
print('-dpdf','swissbank_scat_PCA13');

paramstruct.labelcellstr = {'X_1';'X_2';'X_3';'X_4';'X_5';'X_6'};
figure(4);clf;
scatplotSM(X,eye(6),paramstruct);
print('-dpdf','swissbank_scat_mat');

%% Now do classifications
% 1. MD, LDA, NLDA
ldadir=lda(X,y);
nldadir = naiveLDA(X,y);
meandir = mean(X(:,y ==-1),2) - mean(X(:,y ==1),2);





